# Namespace hcap.rms

hcap.rms

- Defined in: hcap-1.24.6.5901.js

Namespace Summary
Constructor Attributes | Constructor Name and Description
--- | ---
| hcap.rms

## Method Summary

## Namespace Detail

hcap.rms

## Method Detail

- <static> hcap.rms.requestRms(param)
  Request RMS (Remote Management System) command in XML format to RMS.
  RMS XML protocol will be provided separately.
  Response for this request will be received by the result of this API or by registering the {Event} rms_response_received. How to receive the response is different command by command.

      hcap.rms.requestRms({
           "message" : "xxxxxxx",
           "onSuccess" : function(s) {
               console.log("onSuccess : response message = " + s.response);
           },
           "onFailure" : function(f) {
               console.log("onFailure : errorMessage = " + f.errorMessage);
           }
      });

  Parameters:
  {Object} param
    - {String} param.message [Required] - RMS request message in XML.
    - {Function} param.onSuccess [Optional] - success callback function.

            param.onSuccess = function (param) {
                // {String} param.response - response result for the request.
            }

    - {Function} param.onFailure [Optional] - failure callback function.

            param.onFailure = function (param) {
                // {String} param.errorMessage - in case of failure, this message provides the details.
            }

  Since:
    1.6.0
  See:
    {Event} rms_response_received